Package com.tibco.patterns.qbp

## Class ANetricsQueryBuilderBuilderBase.CognateQueryField

- java.lang.Object
- - com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.SimpleQueryField
  - - com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.CognateQueryField

- Enclosing class:
    ANetricsQueryBuilderBuilderBase

      protected static class ANetricsQueryBuilderBuilderBase.CognateQueryField
      extends ANetricsQueryBuilderBuilderBase.SimpleQueryField

  Define the field data for a cognate query. Because a cognate query has separate query strings for each field we include the query string as part of the field information.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CognateQueryField​(java.lang.String query_string, java.lang.String field_name, java.lang.Double weight)` | Create a field reference for a cognate query.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getQueryString()` |

    - ### Methods inherited from class com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.SimpleQueryField

      `getFieldName, getFieldWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CognateQueryField

          public CognateQueryField​(java.lang.String query_string,
                                   java.lang.String field_name,
                                   java.lang.Double weight)
                            throws java.lang.IllegalArgumentException

      Create a field reference for a cognate query.
      Parameters:
        `query_string` - the query value for the field. This has the source field encoded into it using the ${input-field-name} convention.
        `field_name` - the field name. This is the default output field name for the field.
        `weight` - the weight factor for this field. This may be null, in which case the default 1.0 weight is applied.
      Throws:
        `java.lang.IllegalArgumentException` - if field_name or query_string is null or empty, or if weight is given and not between 0.0 and 1.0.

  - ### Method Detail

    - #### getQueryString

          public java.lang.String getQueryString()

      Returns:
        the query string value.